commit 13ca5a4b9afdfd809d4e38a9ba431144a6837aac
Author: freddy77 <freddy77>
Date:   Thu Jul 22 09:55:37 2010 +0000

    make applications compile including missing header

diff --git a/ChangeLog b/ChangeLog
index f09568d..253a504 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+Thu Jul 22 11:55:12 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/bsqldb.c src/apps/bsqlodbc.c src/apps/datacopy.c:
+	* src/apps/defncopy.c src/apps/fisql/fisql.c src/apps/freebcp.c:
+	- make applications compile including missing header
+
 Wed Jul 21 22:12:05 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/bsqldb.c src/apps/bsqlodbc.c src/apps/datacopy.c:
 	* src/apps/defncopy.c src/apps/fisql/fisql.c src/apps/freebcp.c:
@@ -2722,4 +2727,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3084 2010/07/21 20:12:17 freddy77 Exp $
+$Id: ChangeLog,v 1.3085 2010/07/22 09:55:37 freddy77 Exp $
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index f54b5d9..e9ab043 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -45,11 +45,15 @@
 #include <limits.h>
 #endif
 
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include <sqlfront.h>
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.44 2010/07/21 20:12:18 freddy77 Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.45 2010/07/22 09:55:37 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
diff --git a/src/apps/bsqlodbc.c b/src/apps/bsqlodbc.c
index 603c695..3f949ac 100644
--- a/src/apps/bsqlodbc.c
+++ b/src/apps/bsqlodbc.c
@@ -45,12 +45,16 @@
 #include <libgen.h>
 #endif
 
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include "tds_sysdep_public.h"
 #include <sql.h>
 #include <sqlext.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqlodbc.c,v 1.16 2010/07/21 20:12:18 freddy77 Exp $";
+static char software_version[] = "$Id: bsqlodbc.c,v 1.17 2010/07/22 09:55:37 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char * next_query(void);
diff --git a/src/apps/datacopy.c b/src/apps/datacopy.c
index 15c92ac..7ad1ddb 100644
--- a/src/apps/datacopy.c
+++ b/src/apps/datacopy.c
@@ -50,6 +50,10 @@
 # endif
 #endif
 
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include <sybfront.h>
 #include <sybdb.h>
 
diff --git a/src/apps/defncopy.c b/src/apps/defncopy.c
index cb1a579..82671fd 100644
--- a/src/apps/defncopy.c
+++ b/src/apps/defncopy.c
@@ -76,6 +76,10 @@ int getopt(int argc, const char *argv[], char *optstring);
 #include <libgen.h>
 #endif
 
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include <sqlfront.h>
 #include <sybdb.h>
 #ifndef MicrosoftsDbLib
@@ -87,7 +91,7 @@ int getopt(int argc, const char *argv[], char *optstring);
 #endif
 #endif /* MicrosoftsDbLib */
 
-static char software_version[] = "$Id: defncopy.c,v 1.22 2010/07/21 20:12:18 freddy77 Exp $";
+static char software_version[] = "$Id: defncopy.c,v 1.23 2010/07/22 09:55:37 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifndef MicrosoftsDbLib
diff --git a/src/apps/fisql/fisql.c b/src/apps/fisql/fisql.c
index ef300c2..21717a6 100644
--- a/src/apps/fisql/fisql.c
+++ b/src/apps/fisql/fisql.c
@@ -31,6 +31,11 @@
 #include <readline/readline.h>
 #include <readline/history.h>
 #endif
+
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include <sybfront.h>
 #include <sybdb.h>
 #include "terminal.h"
diff --git a/src/apps/freebcp.c b/src/apps/freebcp.c
index 9af3fa7..10b9219 100644
--- a/src/apps/freebcp.c
+++ b/src/apps/freebcp.c
@@ -44,13 +44,17 @@
 #include <unistd.h>
 #endif
 
+#if HAVE_LOCALE_H
+#include <locale.h>
+#endif
+
 #include "tds.h"
 #include "replacements.h"
 #include <sybfront.h>
 #include <sybdb.h>
 #include "freebcp.h"
 
-static char software_version[] = "$Id: freebcp.c,v 1.56 2010/07/21 20:12:18 freddy77 Exp $";
+static char software_version[] = "$Id: freebcp.c,v 1.57 2010/07/22 09:55:37 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 void pusage(void);

